// GSPrinter v1.1
// All return 1 if error else returns 0.
// _PrintTextDocW will pop a printer dialog box, _PrintTextDocF will NOT pop a printer dialog box. 

dllfunction Printer_Create(); // Create
dllfunction Printer_LoadTextFile(filename); // filename is in the directory with the A5 exe
dllfunction Printer_PrintImageFile(filename); // filename is in the directory with the A5 exe
dllfunction Printer_SetTextDoc(docstring); // Input your text to print. Printer_SetTextDoc(""); to clear.
dllfunction Printer_PrintTextDocW(captionstr); // If running A5 in a window use this function to print. Pass a document caption as captionstr.
dllfunction Printer_PrintTextDocF(captionstr); // If running A5 fullscreen use this function to print. Pass a document caption as captionstr.
dllfunction Printer_Free(); // Free

function PrintWindowDoc() {
 
 dll_handle = dll_open("GSPrinter.dll");
 
 // Could initialize _Create() when A5 starts.
 Printer_Create();
 
 Printer_SetTextDoc("Blah blah blah blah blah...");
 Printer_PrintTextDocW("My Blah Doc Caption!");
 
 waitt(16);
 // Could free with _Free() when A5 closes.
 Printer_Free();
 
 dll_close(dll_handle);
 
}

function PrintWindowTextFile() {
 
 dll_handle = dll_open("GSPrinter.dll");
 
 // Could initialize _Create() when A5 starts.
 Printer_Create();

 // Load the text file mytextfile.txt from the data sub dir of the dir containing the A5 exe
 Printer_LoadTextFile("data\mytextfile.txt");
 Printer_PrintTextDocW("My Text File Caption!");

 waitt(16);
 // Could free with _Free() when A5 closes.
 Printer_Free();
 
 dll_close(dll_handle);
 
}

function PrintFullScreenDoc() {
 
 dll_handle = dll_open("GSPrinter.dll");
 
 // Should initialize _Create() when A5 starts.
 Printer_Create();
 
 Printer_SetTextDoc("Blah blah blah blah blah...");
 Printer_PrintTextDocF("My Blah Doc Caption!");
 
 waitt(16);
 // Should free with _Free() when A5 closes. Could crash otherwise.
 Printer_Free();
 
 dll_close(dll_handle);
 
}

function PrintFullTextFile() {
 
 dll_handle = dll_open("GSPrinter.dll");
 
 // Should initialize _Create() when A5 starts.
 Printer_Create();

 // Load the text file mytextfile.txt from the data sub dir of the dir containing the A5 exe
 Printer_LoadTextFile("data\mytextfile.txt");
 Printer_PrintTextDocW("My Text File Caption!");

 waitt(16);
 // Should free with _Free() when A5 closes. Could crash otherwise.
 Printer_Free();
 
 dll_close(dll_handle);
 
}

function PrintImageFile() {
 
 dll_handle = dll_open("GSPrinter.dll");
 
 // Could initialize _Create() when A5 starts. Doesn't need Create() but will in next version.
 Printer_Create();

 // Load the bmp file myimg.bmp from the data sub dir of the dir containing the A5 exe
 Printer_PrintImageFile("data\myimg.bmp");

 waitt(16);
 // Could free with _Free() when A5 closes. Doesn't need Free() but will in next version.
 Printer_Free();
 
 dll_close(dll_handle);
 
}
